package com.bcxin.ars.model.task;

/**
 * APP升级服务
 *
 * @author zhangye
 * @since 2018-01-17 14:07:41
 */
public class AppUpgrade {

	/**
	 * 更新状态(1:需要强制更新,2:建议更新)
	 */
	private Long updateStatus;

	/**
	 * 服务器暂停服务状态(0:正常服务,1:暂停服务)"
	 */
	private Boolean pauseServiceStatus;

	/**
	 * 升级提示语
	 */
	private String tip;

	/**
	 * 操作系统(1:IOS,2:Android)
	 */
	private String osType;

	/**
	 * 更新内容
	 */
	private String content;

	/**
	 * 更新标题
	 */
	private String title;

	public Long getUpdateStatus() {
		return updateStatus;
	}

	public void setUpdateStatus(Long updateStatus) {
		this.updateStatus = updateStatus;
	}

	public Boolean getPauseServiceStatus() {
		return pauseServiceStatus;
	}

	public void setPauseServiceStatus(Boolean pauseServiceStatus) {
		this.pauseServiceStatus = pauseServiceStatus;
	}

	public String getTip() {
		return tip;
	}

	public void setTip(String tip) {
		this.tip = tip;
	}

	public String getOsType() {
		return osType;
	}

	public void setOsType(String osType) {
		this.osType = osType;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
}